AgentConnect
Integrations

List integrations

Every platform integration in the active organization, each with its conversation bindings.

GET
/v1/orgs/{orgId}/integrations

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

orgId*string

Response Body

application/json

curl -X GET "https://example.com/v1/orgs/string/integrations"
[  {    "id": "string",    "name": "string",    "platform": "string",    "agentId": "string",    "botId": "string",    "status": "string",    "region": "feishu",    "createdAt": "string",    "channels": [      {        "channelId": "string",        "name": "string",        "spaceId": "string",        "space": "string",        "icon": "string",        "color": "string",        "key": "string",        "url": "string",        "isPrivate": true,        "kind": "channel",        "trigger": "off",        "decisionBinding": {          "decisionId": "string",          "when": {            "type": "choice",            "thresholds": {              "property1": 0,              "property2": 0            }          },          "nextStepId": "string",          "elseStepId": "string",          "type": "gate",          "steps": [            {              "decisionId": "string",              "when": {                "type": "choice",                "thresholds": {                  "property1": 0,                  "property2": 0                }              },              "nextStepId": "string",              "elseStepId": "string",              "id": "string"            }          ]        },        "decision": {          "consumer": "gate",          "id": "string",          "name": "string",          "enabled": true,          "disabledReason": "needs_review",          "readiness": {            "status": "ready",            "reason": "string"          }        },        "sessionMode": "createNew",        "agentId": "string",        "externalReason": "externallyShared"      }    ]  }]